<template>
    <van-nav-bar
        title="个人信息"
        left-arrow
        @click-left="onClickLeft"
    />
    <div class="info-area">
			<div class="name">
				姓名
				<span>{{ phyName }}</span>
			</div>
			<div>
				身份证号
				<span>{{ idcard }}</span>
			</div>
			<div>
				年龄
				<span>{{ age }}</span>
			</div>
			<div>
				性别
				<span>{{ sex }}</span>
			</div>
			<div>
				联系方式
				<span>{{ telepNumber }}</span>
			</div>
			<div>
				部门
				<span>{{ departName }}</span>
			</div>
		</div>
</template>

<script setup lang="ts">

  import { onMounted } from 'vue';
  import './scss/index.scss'

	// 设置用户信息
	const phyName = localStorage.getItem('phyName')
	const idcard = localStorage.getItem('idcard')
	const age = localStorage.getItem('age')
	const sex = localStorage.getItem('sex')
	const telepNumber = localStorage.getItem('telepNumber')
	const departName = localStorage.getItem('departName')

  const onClickLeft = () => {
    history.back()
  }

  onMounted(() => {
		
  })

</script>

<style scoped lang="scss">
    .status-bar{
        width: 100%;
        height: 48px;
    }
    .info-area{
			width: 96%;
			display: flex;
			flex-direction: column;
			margin: 1.5rem auto;
      font-size: 16px;
			div{
				width: 100%;
				height: 2rem;
				font-size: 20px;
				background-color: #fff;
				margin-bottom: 0.08rem;
				display: flex;
				justify-content: space-between;
				align-items: center;
				box-sizing: border-box;
				padding: 0.1rem 0.4rem;
			}
		}
</style>